# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global git_version  6e8c66
Name:       transmission-remote-cli
Version:    1.7.0
Release:    alt1_9
Summary:    A console interface for the Transmission BitTorrent client

Group:      Networking/WWW
License:    GPLv3+
URL:        https://github.com/fagga/transmission-remote-cli
# git clone https://github.com/fagga/transmission-remote-cli
# cd transmission-remote-cli
# git-archive --format=tar  {git_version} --prefix ={name}/ | xz  > transmission-{version}tar.xz

Source0:    %{name}-%{version}.tar.xz

BuildArch:  noarch
Requires:   python-module-GeoIP python-module-adns python-module-IPy python-base
Requires:   transmission-daemon >= 1.90
Source44: import.info

%description
Simple command line interface using ncurses for the Transmission BitTorrent
client. It is an alternative to Transmission cli and can be used to control
local and remote instances of the Transmission daemon.

%prep
%setup -q -n %{name}

%build
#empty build

%install
# Script
install -Dpm 755 %{name} %{buildroot}%{_bindir}/%{name}
# Man page
mkdir -p %{buildroot}%{_mandir}/man1/
gzip %{name}.1
install -Dpm 644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz
# Bash tab completion
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
install -Dpm 644 completion/bash/transmission-remote-cli-bash-completion.sh %{buildroot}%{_sysconfdir}/bash_completion.d/transmission-remote-cli-bash-completion.sh

%files
%doc COPYING README.md NEWS
%{_bindir}/transmission-remote-cli
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/bash_completion.d/transmission-remote-cli-bash-completion.sh

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.7.0-alt1_9
- update to new release by fcimport

* Thu Jun 21 2018 Igor Vlasenko <viy@altlinux.ru> 1.7.0-alt1_8
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.7.0-alt1_7
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.7.0-alt1_6
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.7.0-alt1_5
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.7.0-alt1_4
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.7.0-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.7.0-alt1_2
- update to new release by fcimport

* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.7-alt1_2
- initial fc import

